LibreOffice: XAudio Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Attributes | List of all members
XAudio Interface Reference

`import"XAudio.idl";`

Inheritance diagram for XAudio:

## Public Attributes
any | Source
| This attribute specifies the source element that contains the audio. More...
double | Volume
Public Attributes inherited from XAnimationNode
short | Type
| a value from AnimationNodeType. More...
any | Begin
| a sequence of values that define the beginning of this element Begin is More...
any | Duration
| defines the length of the simple duration. More...
any | End
| a sequence of values that define the ending of this element End is More...
any | EndSync
| controls the implicit duration of time containers, as a function of the children. More...
any | RepeatCount
| the number of iterations of the simple duration. More...
any | RepeatDuration
| the total duration for repeat. More...
short | Fill
| the attribute that specify the behavior how an element should be extended beyond the active duration by freezing the final state of the element. More...
short | FillDefault
| the default value for the fill behavior for this element and all descendants. More...
short | Restart
| defines the restart behavior of this element. More...
short | RestartDefault
| defines the default restart behavior for this element and all descendants. More...
double | Acceleration
| defines the acceleration for this element. More...
double | Decelerate
| defines the deceleration for this element. More...
boolean | AutoReverse
| defines the auto reverse settings for this element. More...
sequence< ::com::sun::star::beans::NamedValue > | UserData

## Additional Inherited Members
Public Member Functions inherited from XChild
com::sun::star::uno::XInterface | getParent ()
| grants access to the object containing this content. More...
void | setParent ([in] com::sun::star::uno::XInterface Parent) raises ( com::sun::star::lang::NoSupportException )
| sets the parent to this object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Data Documentation

## ◆ Source

any Source
| attribute

This attribute specifies the source element that contains the audio.

## ◆ Volume

double Volume
| attribute

The documentation for this interface was generated from the following file:

- com/sun/star/animations/XAudio.idl